#%%
import Models as models
import matplotlib.pyplot as plt

# %%
class SteamStream:
    def __init__(self, x_factors, column_name):
        self.x_factors = x_factors
        self.column_name = column_name
        self.model_dict = {}
        self.scaler_dict = {}

    def plot_data(self, df):
        plt.plot(df.index, df[self.column_name])
        plt.xlabel('x')
        plt.ylabel('y')
        plt.title(f'{self.column_name} vs. Index')
        plt.show()

    #add tests, plots and soon... this is much smarter lol
# %%
